import { asArray, asObject, asString } from 'cleaners'


import { asJsonObject, makeJsonFile } from '../../util/file-helpers'






export const INFO_CACHE_FILE_NAME = 'infoCache.json'

export const asInfoCacheFile = asObject({
  corePlugins: asObject(asJsonObject),
  syncServers: asArray(asString)
})

export const infoCacheFile = makeJsonFile(asInfoCacheFile)
